# Use the default kernel version if the Makefile doesn't override it

LINUX_RELEASE?=1

LINUX_VERSION-3.18 = .19
LINUX_VERSION-4.0 = .9
LINUX_VERSION-4.1 = .3

LINUX_KERNEL_MD5SUM-3.18.19 = 63aa76f85dcb7e444044d218dafdaa8f
LINUX_KERNEL_MD5SUM-4.0.9 = 226a4bfb6e5cc3d82208874999f339ca
LINUX_KERNEL_MD5SUM-4.1.3 = 91f5aada91e833497eabc6397f0d9e7c

ifdef KERNEL_PATCHVER
  LINUX_VERSION:=$(KERNEL_PATCHVER)$(strip $(LINUX_VERSION-$(KERNEL_PATCHVER)))
endif

split_version=$(subst ., ,$(1))
merge_version=$(subst $(space),.,$(1))
KERNEL_BASE=$(firstword $(subst -, ,$(LINUX_VERSION)))
KERNEL=$(call merge_version,$(wordlist 1,2,$(call split_version,$(KERNEL_BASE))))
KERNEL_PATCHVER ?= $(KERNEL)

# disable the md5sum check for unknown kernel versions
LINUX_KERNEL_MD5SUM:=$(LINUX_KERNEL_MD5SUM-$(strip $(LINUX_VERSION)))
LINUX_KERNEL_MD5SUM?=x
